nut (2.8.4+really-2) unstable; urgency=medium

  * debian/control: Add source-highlight to the BDI
  * debian/nut-doc.install: Remove documentation that is not built anymore

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Oct 2025 22:29:33 +0200

nut (2.8.4+really-1) unstable; urgency=medium

  * New upstream release 
  * Bump libnutscan soname to 4
  * Move the UPS drivers to /usr/libexec/nut
  * Add a debian/not-installed file
  * Add override for spare-manual-page, drivers are installed in /usr/libexec
  * Switch to debhelper-compat virtual package
  * debian/nut-cgi.lintian-overrides: Add override for
    package-contains-documentation-outside-usr-share-doc
  * Install the new UPS drivers
  * Move all the doc files from nut metapackages to nut-doc
  * debian/nut-doc.install: Also install the single page .html files
  * debian/nut-client.manpages: Install nut.7 manpage
  * debian/watch: Add signature verification

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Oct 2025 20:03:27 +0200

nut (2.8.3-3) unstable; urgency=medium

  * Use Conflicts instead of Breaks/Replaces to avoid file from disappearing
    (Closes: #1108948)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 01 Sep 2025 12:25:12 +0200

nut (2.8.3-2) experimental; urgency=medium

  * Remove wrapper script around upsd and upsmon. Also drop dh_installinit
    error-handler. On systemd, debhelper is not failing and SysVinit scripts
    already fail nicely if nothing is configured.
    Using the wrapper is actually breaking the upsmon -K functionality when
    MODE=none meaning that the power to the machine will always be killed on
    reboot in that case, that's definitely not something we want.
    See: https://github.com/networkupstools/nut/issues/2935 for the analysis
  * Move hwmon_ina219 driver to nut-i2c
  * Only install nhs_ser in linux architectures

 -- Laurent Bigonville <bigon@debian.org>  Tue, 08 Jul 2025 09:13:09 +0200

nut (2.8.3-1) experimental; urgency=medium

  * New upstream release (Closes: #1092106)
    - debian/patches/0001-reproductible-build.patch: Refreshed
    - Drop patches applied upstream or not needed anymore
    - Bump soname of libupsclient and libnutscan and adjust .symbols
    - debian/nut-server.install: Install new UPS drivers
    - Install the new nutconf tool in nut-client package
    - debian/control: Drop python3-zombie-telnetlib dependency for python3-nut
    - Install new systemd unit files for the device enumeration "daemon"
    - debian/control: Add systemd to the BD, we need systemd-analyze
    - debian/nut-cgi.docs: Install README.adoc instead of README
  * d/nut-server.lintian-overrides: Fix lintian override after move to /usr
  * debian/copyright: Update the FSF address, to please lintian
  * Removed unused lintian-overrides
  * debian/control: Remove generated versions for Conflicts, to please lintian
  * debian/control: Bump Standards-Version to 4.7.2 (no further changes)
  * debian/rules, debian/control: Enable sd_notify integration
    (Closes: #1065525)
  * debian/nut-monitor.install: Fix installation of the locales
  * debian/nut-server.manpages: Install missing clone-outlet.8 manpage
  * Move libnutscan.a to libnutscan-dev package
  * debian/control: Remove ancient Breaks/Replaces
  * Do not enable nut-logger by default, but allow the user to do it so easily
  * d/p/0008-drop-w3c-icons.patch: Remove external image
  * Move nut-common-tmpfiles.conf to nut-client package.
    Drop nut-client.tmpfile and nut-server.tmpfile (Closes: #1104642)
  * d/tests/testlib.py: replace crypt module with direct cffi calls to native
    crypt_ra C function. Since Python 3.13 removed crypt module from the
    standard library. Imported from Ubuntu, thanks to them for the change
  * d/t/test-nut.py: scale sleeps by x10 to mitigate flaky results
    (Closes: #1060655)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Jun 2025 09:17:35 +0200

nut (2.8.1-5) unstable; urgency=medium

  * d/p/fixsoname.patch: Fix name of the dynamically loaded libraries in
    nut-scanner (Closes: #1070205)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 27 Jun 2025 23:04:07 +0200

nut (2.8.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on telnetlib replacement. (Closes: #1093840)

 -- Bastian Germann <bage@debian.org>  Wed, 05 Mar 2025 14:29:15 +0100

nut (2.8.1-4) unstable; urgency=medium

  * Team upload (Debian namespace).
  * d/tests/testlib: remove unused code relying on crypt (Closes: #1084611)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 23:28:01 +0100

nut (2.8.1-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * No-changes source-only upload.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Sep 2024 08:03:46 +0200

nut (2.8.1-3.2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Revert unnecessary time64 transition for libnutscan.
  * Move files to /usr. (Closes: #1067790)

  [ Michael Biebl ]
  * Skip flaky test_daemons_pid which fails particularly often on
    armel when run via autopkgtest. (Closes: #1064670)
  * Add a strictly versioned libnutscan2 dependency to nut-server, to ensure
    that the t64 variant is replaced on upgrades.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Aug 2024 20:08:31 +0200

nut (2.8.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064256

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:26:20 +0000

nut (2.8.1-3) unstable; urgency=medium

  * debian/control: Add missing Breaks/Replaces on nut-modbus (Closes:
    #1060377)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 11 Jan 2024 17:01:16 +0100

nut (2.8.1-2) unstable; urgency=medium

  * Move the apc_modbus driver to the nut-modbus package.
    Thanks to Christian Ehrhardt <christian.ehrhardt@canonical.com>
    (Closes: #1059985)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Jan 2024 20:26:06 +0100

nut (2.8.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * d/control,libnutscan2.symbols: Generalize hurd-i386 into hurd-any.

  [ Laurent Bigonville ]
  * New upstream release
    - Install new apc_modbus and sms_ser drivers
  * debian/patches/0001-reproductible-build.patch: Refreshed
  * debian/nut-server.install: Fix the name of nut-common tmpfiles
  * Fix installation of some documentation files
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/libnutscan2.symbols: Add newly exported symbols
  * debian/control: Drop lsb-base, to please lintian
  * debian/rules: Force to use /usr/bin/python3 executable
  * debian/nut-server.lintian-overrides: Remove unused override
  * debian/nut-monitor.install: Only install .ui files
  * Install the NUT-Monitor wrapper script
  * Cherry-pich upstream patches to fix several NUT-Monitor issues
    (Closes: #970240)
  * debian/patches/NoDisplay-nut-monitor-py3qt5.patch: Hide the desktop file
    for nut-monitor-py3qt5

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Dec 2023 13:31:17 +0100

nut (2.8.0-7) unstable; urgency=medium

  * debian/tests/test-nut.py: Skip the flaky tests for now.
    That will hopefully allow us to ship nut for bookworm
    Thanks to Athos Ribeiro <athos.ribeiro@canonical.com> (Closes: #1023530)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Jan 2023 10:27:30 +0100

nut (2.8.0-6) unstable; urgency=medium

  * debian/patches/appdata-launchable.patch: Add launchable tag
  * debian/tests/test-nut.py: Increase sleep after starting drivers.
    The tests are flaky on some architectures, try to wait a bit longer that
    the driver starts. (Closes: #1023530)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 31 Dec 2022 13:34:23 +0100

nut (2.8.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libfreeipmi-dev,
      libipmimonitoring-dev, libpowerman0-dev, libusb-1.0-0-dev and
      libwrap0-dev.
    + Build-Depends-Indep: Drop versioned constraint on asciidoc and dblatex.
    + nut-server: Drop versioned constraint on lsb-base in Depends.
    + nut-client: Drop versioned constraint on lsb-base in Depends.
    + nut-snmp: Drop versioned constraint on nut in Depends.
    + nut-ipmi: Drop versioned constraint on nut in Depends.
    + nut-xml: Drop versioned constraint on nut in Depends.
    + nut-powerman-pdu: Drop versioned constraint on nut and powerman in
      Depends.
    + Remove 1 maintscript entries from 1 files.

  [ Laurent Bigonville ]
  * debian/nut-client.lintian-overrides: Override init-script-is-not-a-file
  * Make sure that the installed manpages are built from the sources
  * debian/control: Make sure the drivers depend against the server version
  * debian/control: Make libups-nut-perl and nut-doc as M-A foreign

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 Nov 2022 12:32:35 +0100

nut (2.8.0-4) unstable; urgency=medium

  * Add debian/salsa-ci.yml for automated tests in salsa
  * debian/tests/test-nut.py: set SYSTEMCTL_SKIP_REDIRECT to 1.
    The behaviour of the upstream systemd services has changed breaking the
    existing tests. This is a quick fix for the tests so they use the sysv
    initscript instead of the systemd services. (Closes: #1019221)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 19 Oct 2022 22:31:38 +0200

nut (2.8.0-3) unstable; urgency=medium

  * Drop the debian/libnutclient2.symbols file entierly, managing a .symbols
    file for C++ libraries is a nightmare. Generate a shlibs file with strong
    dependency instead (Closes: #1017392)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 25 Sep 2022 09:23:50 +0200

nut (2.8.0-2) unstable; urgency=medium

  * debian/libnutclient2.symbols: Update the symbols file, again

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Aug 2022 22:53:38 +0200

nut (2.8.0-1) unstable; urgency=medium

  [ Yifeng Li ]
  * New upstream release (Closes: #1014287)
    - This is the first update in the past 6 years since 2016, and
      includes a huge number of fixes, changes, and new device support.
    - New serial, I2C and Modbus drivers.
    - Driver oldmge-shut has been removed, and replaced by mge-shut.
    - New systemd integration, nut-driver.target, nut-driver@instances,
      and nut-driver-enumerator are now used to manage drivers.
    - Support libusb 1.0 (Closes: 810449)
    - Python library PyNUT and the NUT-Moniter GUI has been upgraded to
      Python 3.
    - API/ABI changes in libnutclient2, libnutscan and libupsclient.
    - Fixed POWEROFF_WAIT option on systemd. (Closes: #835634)

  [ Daniel Shahaf ]
  * README.Debian: Trivial typo fix (Closes: #862982)

  [ Laurent Bigonville ]
  * debian/watch: Update the URL and add support for RC releases
  * debian/control: Use ${python3:Depends} instead of hardcoding python3
    dependency
  * debian/control: BD against libusb-1.0-0-dev instead of libusb-dev
  * debian/patches/0001-reproductible-build.patch: Refreshed
  * debian/patches/: Drop all patches merged upstream
  * debian/nut-server.lintian-overrides: Update to properly override
    udev-rule-missing-subsystem
  * debian/rules: Build the package in parallel
  * debian/rules: Fix links to the shared libraries for the -dev packages
  * debian/control: Add libavahi-client-dev and libavahi-core-dev to the BD
  * Override systemd-service-file-refers-to-unusual-wantedby-target for
    nut-client and nut-server packages
  * Install the nut.target file in the nut-client package
  * Install nut-driver-enumerator.sh in /usr/libexec/
  * debian/*.symbols: Add Build-Depends-Package field
  * debian/libnutclient2.symbols: Run through c++filt to make symbols readable
  * Properly install the icons and other UI data for nut-monitor
  * debian/libnutclient2.symbols: Adjust the symbols file for architecture
    specific symbols
  * debian/control: Mark python3 BD with :any, that should fix cross-compilation

 -- Laurent Bigonville <bigon@debian.org>  Sun, 14 Aug 2022 18:58:07 +0200

nut (2.7.4-14) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/patches: add patch to fix FTBFS with g++-11 (closes: #984260)

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/source_nut.py: Change the shebang to python3

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Nov 2021 18:41:33 +0100

nut (2.7.4-13) unstable; urgency=medium

  [ Arnaud Quette ]
  * Retirement of Arnaud Quette from the Debian project

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Name (from ./configure), Repository, Repository-Browse.

  [ Sergio Durigan Junior ]
  * d/libnutclient0.symbols: Update file, and fix FTBFS. (Closes: #957614)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 15 Oct 2020 12:16:34 +0200

nut (2.7.4-12) unstable; urgency=medium

  * Port autopkgtests to python3, taken from Ubuntu, thanks to them and
    Dimitri John Ledkov (Closes: #937169)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 30 Jan 2020 01:06:14 +0100

nut (2.7.4-11) unstable; urgency=medium

  * Remove python(2) binding and disable nut-monitor package for now as it
    depends on unmaintained pygtk (Closes: #885358, #937169)
  * debian/control: Add support for the <!nodoc> Build-Profile
  * debian/patches/0013-fix-doc-build.patch: Fix the documentation build with
    asciidoc >= 0.9
  * Disable python3-nut package for now as it's broken with python3

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Dec 2019 21:22:13 +0100

nut (2.7.4-10) unstable; urgency=medium

  * debian/libnutscan1.symbols: hurd-i386 is not built with ipmi support and
    thus is libnutscan is not exporting the related symbols
  * debian/libnutclient0.symbols: Add new C++ template exported on arm64 and
    x32
  * debian/tests: Import changes from the ubuntu package, thanks to them.
    Add psmisc to the dependencies as it's not installed by default in debian
  * Add the apport script coming from Ubuntu, thanks to them again
  * Add higher resolution icon for nut-monitor

 -- Laurent Bigonville <bigon@debian.org>  Mon, 19 Aug 2019 01:04:36 +0200

nut (2.7.4-9) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Arnaud Quette ]
  * debian/control, debian/rules, debian/libnutscan1.install,
    debian/libnutscan-dev.install: distribute nut-scanner. (Closes: #921379
    LP: #1814314)

  [ Laurent Bigonville ]
  * Switch from cdbs to debhelper sequence
  * Bump debhelper compatibility version to 12
  * Add libltdl-dev to the build-dependencies and fix FTBFS when it is
    installed (Closes: #831740)
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/control: Add libnss3-dev to the dependencies of libupsclient-dev
  * debian/tests/control: Drop python-unit and depend against python package
    instead (Closes: #908963)
  * debian/control: Fix duplicate package descriptions to please lintian
  * debian/*.symbols: Add Build-Depends-Package field
  * debian/control, debian/watch: Use https for the Homepage and download page
  * debian/libnutclient0.symbols: Adjust the symbols due to C++ changes
  * debian/patches/0011-use-pkgconfig-module.patch: Use pkg-config module
    names instead of listing the libraries, to please lintian
  * Move pidfiles from /var/run/nut to /run/nut, there is nothing else to do
    since /var/run is a symlink to /run for some times now (policy 3.9.3)
  * debian/patches/0012-add-AEG-PROTECT-NAS-support.patch: Add support for
    recent AEG PROTECT NAS UPS, from upstream (Closes: #919112)
  * debian/nut-server.lintian-overrides: Override
    package-supports-alternative-init-but-no-init.d-script
    lib/systemd/system/nut-driver.service, in LSB world, the drivers are started
    by nut-server initscript
  * debian/nut-client.lintian-overrides: Drop unused override
  * debian/nut-monitor.install: Install nut-monitor.appdata.xml in
    /usr/share/metainfo/ instead of /usr/share/appdata/
  * Simplify debian/rules, install systemd files on non-linux arch as well
  * Remove obsolete files and old upgrade paths for users coming from version
    prior to wheezy
  * debian/control: Mark -dev packages as Multi-Arch: same
  * Add debian/patches/0001-reproductible-build.patch: Try to make the
    documentation reproductible
  * debian/patches/0003-install-dev-files-in-usr.patch: Also change the prefix
    in libnutclient.pc.in for consistency
  * debian/patches/0009-fix-nutshutdown-install.patch: Use patch coming from
    upstream instead of our own patch
  * debian/rules, debian/control: Override --with-systemdshutdowndir passed to
    configure to fix FTBFS on non-linux architectures and do not build-depend
    against systemd
  * debian/rules: Install augeas lenses in /usr/share/augeas/lenses/ instead
    of /usr/share/augeas/lenses/dist/, the later seems to be reserved for
    augeas own lenses, not 3rd party ones

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 Aug 2019 10:34:17 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog nut-snmp`.
